org.apache.uima.camel

## Class UimaAsEndpoint

- java.lang.Object
- - org.apache.camel.support.ServiceSupport
  - - org.apache.camel.impl.DefaultEndpoint
    - - org.apache.uima.camel.UimaAsEndpoint

- All Implemented Interfaces:
    org.apache.camel.CamelContextAware, org.apache.camel.Endpoint, org.apache.camel.IsSingleton, org.apache.camel.Service, org.apache.camel.ShutdownableService, org.apache.camel.spi.HasId, org.apache.camel.StatefulService, org.apache.camel.SuspendableService

      public class UimaAsEndpoint
      extends org.apache.camel.impl.DefaultEndpoint

  Represent the UIMA-AS camel driver endpoint.

- - ### Field Summary

    - ### Fields inherited from class org.apache.camel.support.ServiceSupport

      `shutdown, shuttingdown, started, starting, stopped, stopping, suspended, suspending`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UimaAsEndpoint(String uri, String brokerAddress, UimaAsComponent component)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configureProperties(Map options)`
    `org.apache.camel.Consumer` | `createConsumer(org.apache.camel.Processor arg0)`
    `org.apache.camel.Producer` | `createProducer()`
    `boolean` | `isSingleton()`

    - ### Methods inherited from class org.apache.camel.impl.DefaultEndpoint

      `configureConsumer, configurePollingConsumer, createEndpointConfiguration, createEndpointUri, createExchange, createExchange, createExchange, createPollingConsumer, doStart, doStop, equals, getCamelContext, getComponent, getConsumerProperties, getEndpointConfiguration, getEndpointKey, getEndpointUri, getExceptionHandler, getExchangePattern, getId, getPollingConsumerBlockTimeout, getPollingConsumerQueueSize, hashCode, isBridgeErrorHandler, isLenientProperties, isPollingConsumerBlockWhenFull, isSynchronous, setBridgeErrorHandler, setCamelContext, setConsumerProperties, setEndpointConfiguration, setEndpointUri, setEndpointUriIfNotSpecified, setExceptionHandler, setExchangePattern, setPollingConsumerBlockTimeout, setPollingConsumerBlockWhenFull, setPollingConsumerQueueSize, setProperties, setSynchronous, toString`

    - ### Methods inherited from class org.apache.camel.support.ServiceSupport

      `doResume, doShutdown, doSuspend, getStatus, getVersion, isRunAllowed, isStarted, isStarting, isStopped, isStopping, isStoppingOrStopped, isSuspended, isSuspending, isSuspendingOrSuspended, resume, shutdown, start, stop, suspend`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.camel.Service

      `start, stop`

- - ### Constructor Detail

    - #### UimaAsEndpoint

          public UimaAsEndpoint(String uri,
                                String brokerAddress,
                                UimaAsComponent component)

  - ### Method Detail

    - #### configureProperties

          public void configureProperties(Map options)

      Specified by:
        `configureProperties` in interface `org.apache.camel.Endpoint`
      Overrides:
        `configureProperties` in class `org.apache.camel.impl.DefaultEndpoint`

    - #### createConsumer

          public org.apache.camel.Consumer createConsumer(org.apache.camel.Processor arg0)
                                                   throws Exception

      Throws:
        `Exception`

    - #### createProducer

          public org.apache.camel.Producer createProducer()
                                                   throws Exception

      Throws:
        `Exception`

    - #### isSingleton

          public boolean isSingleton()

Copyright © 2006–2018 The Apache Software Foundation. All rights reserved.